org.apache.tomcat.util.http.fileupload

## Interface FileItemIterator

    public interface FileItemIterator

An iterator, as returned by `FileUploadBase.getItemIterator(RequestContext)`.

### Method Summary

Methods
`boolean` `hasNext()` Returns, whether another instance of `FileItemStream` is available.
`FileItemStream` `next()` Returns the next available `FileItemStream`.

### Method Detail

#### hasNext

    boolean hasNext()
                    throws FileUploadException,
                           IOException

Returns, whether another instance of `FileItemStream` is available.

Returns:
  True, if one or more additional file items are available, otherwise false.
Throws:
  `FileUploadException` - Parsing or processing the file item failed.
  `IOException` - Reading the file item failed.

#### next

    FileItemStream next()
                        throws FileUploadException,
                               IOException

Returns the next available `FileItemStream`.

Returns:
  FileItemStream instance, which provides access to the next file item.
Throws:
  `NoSuchElementException` - No more items are available. Use `hasNext()` to prevent this exception.
  `FileUploadException` - Parsing or processing the file item failed.
  `IOException` - Reading the file item failed.